Summary: CSSC is the GNU Project's replacement for SCCS
Name: CSSC
Version: 1.3.0
Release: 1
License: GPLv3+
Group: Development/Tools
URL: http://cssc.sourceforge.net/
Source0: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc >= 4.2.3-2, gcc-c++ >= 4.2.3-2, libstdc++-devel >= 4.2.3-2
Requires: libgcc >= 4.2.3-2, libstdc++ >= 4.2.3-2
Requires: /sbin/install-info, info

%description
CSSC is the GNU Project's replacement for SCCS.  SCCS is a proprietary suite
of tools which is provided with most commercial versions of Unix.  The purpose
behind CSSC is to provide a work-alike for SCCS which can be used on the
various free versions of Unix.

SCCS was the only major form of source code control on Unix platforms for many
years, until RCS came along.  SCCS was an effective method for small projects,
but these days is less popular, particularly for projects involving large
numbers of files.  A fair amount of old software is still in SCCS form, and
CSSC is designed to retrieve that software.

Once retrieved, it is highly recommended to bring the source under the control
of more modern source code control systems, such as CVS.


%prep
%setup -q
%patch0


%build
export CC=gcc
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export CXX=g++
export CXXFLAGS=$CFLAGS

export LD=ld
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/cssc/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/cssc.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/cssc.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog* NEWS README
%{_bindir}/*
%{_libexecdir}/cssc
%{_mandir}/man1/*
%{_infodir}/*info*
/usr/linux/bin/*


%changelog
* Mon Nov 08 2010 Michael Perzl <michael@perzl.org> - 1.3.0-1
- first version for AIX V5.1 and higher
